Bug 880829 - AttributeError: 'NoneType' object has no attribute 'name'
Summary: AttributeError: 'NoneType' object has no attribute 'name'
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:57d9ae5a19816300deca62d1721...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-27 20:47 UTC by Milan Kerslager
Modified: 2012-11-30 02:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-30 02:47:18 UTC
Type: ---


Attachments (Terms of Use)
File: release (24 bytes, text/plain)
2012-11-27 20:47 UTC, Milan Kerslager
no flags Details
File: product (6 bytes, text/plain)
2012-11-27 20:47 UTC, Milan Kerslager
no flags Details
File: type (9 bytes, text/plain)
2012-11-27 20:47 UTC, Milan Kerslager
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-11-27 20:47 UTC, Milan Kerslager
no flags Details

Description Milan Kerslager 2012-11-27 20:47:40 UTC
Description of problem:
Trying to update my F17 by preupgrade.

Version-Release number of selected component:
anaconda-18.28

Additional info:
libreport version: 2.0.17
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.6-3.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.28 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/__init__.py", line 466, in _setupDevice
:    log.info("setting up device %s and mounting on %s" % (device.name,
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 500, in _setUpMedia
:    self._setupDevice(device, mountpoint=ISO_DIR)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 566, in _configureBaseRepo
:    self._setUpMedia(device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 411, in updateBaseRepo
:    self._configureBaseRepo(self.storage, checkmount=checkmount)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 168, in setup
:    self.updateBaseRepo()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/__init__.py", line 663, in payloadInitialize
:    payload.setup(storage)
:  File "/usr/lib64/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
:    threading.Thread.run(self, *args, **kwargs)
:AttributeError: 'NoneType' object has no attribute 'name'

Comment 1 Milan Kerslager 2012-11-27 20:47:43 UTC
Created attachment 653110 [details]
File: release

Comment 2 Milan Kerslager 2012-11-27 20:47:46 UTC
Created attachment 653111 [details]
File: product

Comment 3 Milan Kerslager 2012-11-27 20:47:48 UTC
Created attachment 653112 [details]
File: type

Comment 4 Milan Kerslager 2012-11-27 20:47:50 UTC
Created attachment 653113 [details]
File: ifcfg.log

Comment 5 Milan Kerslager 2012-11-27 20:50:33 UTC
Trying to update F17 to F18 Beta by preupgrade

Package: anaconda-18.28
OS Release: Fedora release 18

Comment 6 louc 2012-11-28 17:02:54 UTC
Upgraded from 17 to 18LXDE....evrything went well with no errors until reboot. Will not boot to finish upgrade bit 17 still works.

Package: anaconda-18.28
OS Release: Fedora release 18

Comment 7 Chris Lumens 2012-11-30 02:47:18 UTC
preupgrade isn't how we do upgrades for moving to F18.  There's a new tool named fedup (http://fedoraproject.org/wiki/FedUp) that handles upgrades, and doesn't involve anaconda at all.  Please try it out and see if it works better for you.  Using preupgrade (and thus anaconda) wouldn't give you what you want anyway, since anaconda no longer knows how to handle upgrades.

I'm going to close this for now since through fedup you will not use any of this code, and I don't think you'll be able to hit this problem under normal installation circumstances.  If you do, though, please feel free to reopen.  Thanks,


Note You need to log in before you can comment on or make changes to this bug.